Page MenuHomePhabricator

Make cuc_id a bigint
Closed, ResolvedPublic

Description

  1. ALTERs to run: https://gerrit.wikimedia.org/r/c/mediawiki/extensions/CheckUser/+/986190/4/schema/mysql/patch-cu_changes-modify-cuc_id-bigint.sql
  2. Where to run those changes: all
  3. When to run those changes: At any time
  4. If the schema change is backwards compatible: Yes.
  5. If the schema change has been tested already on some of the test/beta wikis: checkuser is not on beta cluster
  6. If the data should be made available on the labs replicas and/or dumps: Everything is private

Progress

  • s1
    • eqiad (pending dc master)
    • codfw (pending dc master)
  • s2
    • eqiad (pending dc master)
    • codfw (pending dc master)
  • s3
    • eqiad (pending dc master)
    • codfw (pending dc master)
  • s4
    • eqiad (pending dc master)
    • codfw (pending dc master)
  • s5
    • eqiad (pending dc master)
    • codfw (pending dc master)
  • s6
    • eqiad (pending dc master)
    • codfw (pending dc master T355739)
  • s7
    • eqiad (pending dc master)
    • codfw (pending dc master)
  • s8
    • eqiad
    • codfw
  • labtestwiki (clouddb2002-dev.codfw.wmnet)

Details

TitleReferenceAuthorSource BranchDest Branch
change_cuc_id_T355609.py: New schema changerepos/sre/schema-changes!4marosteguiT355609main
Customize query in GitLab

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Mentioned in SAL (#wikimedia-operations) [2024-03-20T17:20:31Z] <marostegui@cumin1002> START - Cookbook sre.hosts.downtime for 10:00:00 on 16 hosts with reason: Schema change T355609

Mentioned in SAL (#wikimedia-operations) [2024-03-20T17:20:47Z] <marostegui@cumin1002> END (PASS) - Cookbook sre.hosts.downtime (exit_code=0) for 10:00:00 on 16 hosts with reason: Schema change T355609

Mentioned in SAL (#wikimedia-operations) [2024-03-20T17:21:38Z] <marostegui> dbmaint deploy schema change s8 codfw T355609

Mentioned in SAL (#wikimedia-operations) [2024-03-20T17:22:38Z] <marostegui@cumin1002> START - Cookbook sre.hosts.downtime for 10:00:00 on 13 hosts with reason: Schema change T355609

Mentioned in SAL (#wikimedia-operations) [2024-03-20T17:23:01Z] <marostegui@cumin1002> END (PASS) - Cookbook sre.hosts.downtime (exit_code=0) for 10:00:00 on 13 hosts with reason: Schema change T355609

Starting it on s8 codfw master with replication enabled.

Mentioned in SAL (#wikimedia-operations) [2024-03-21T06:29:17Z] <marostegui> dbmaint deploy schema change s1 codfw T355609

All codfw hosts are done. Pending now eqiad primary masters, which require switchovers.

Mentioned in SAL (#wikimedia-operations) [2024-04-04T05:23:38Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Depooling db1167 (T355609)', diff saved to https://phabricator.wikimedia.org/P59409 and previous config saved to /var/cache/conftool/dbconfig/20240404-052338-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-04T06:12:36Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1167 (T355609)', diff saved to https://phabricator.wikimedia.org/P59415 and previous config saved to /var/cache/conftool/dbconfig/20240404-061234-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-04T06:57:59Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1167 (T355609)', diff saved to https://phabricator.wikimedia.org/P59421 and previous config saved to /var/cache/conftool/dbconfig/20240404-065758-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-04T07:43:14Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Depooling db1172 (T355609)', diff saved to https://phabricator.wikimedia.org/P59426 and previous config saved to /var/cache/conftool/dbconfig/20240404-074313-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-04T08:31:48Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1172 (T355609)', diff saved to https://phabricator.wikimedia.org/P59433 and previous config saved to /var/cache/conftool/dbconfig/20240404-083147-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-04T09:17:10Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1172 (T355609)', diff saved to https://phabricator.wikimedia.org/P59443 and previous config saved to /var/cache/conftool/dbconfig/20240404-091709-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-04T09:17:34Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Depooling db1177 (T355609)', diff saved to https://phabricator.wikimedia.org/P59444 and previous config saved to /var/cache/conftool/dbconfig/20240404-091732-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-04T10:06:13Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1177 (T355609)', diff saved to https://phabricator.wikimedia.org/P59450 and previous config saved to /var/cache/conftool/dbconfig/20240404-100612-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-04T10:51:36Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1177 (T355609)', diff saved to https://phabricator.wikimedia.org/P59455 and previous config saved to /var/cache/conftool/dbconfig/20240404-105135-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-04T10:51:59Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Depooling db1178 (T355609)', diff saved to https://phabricator.wikimedia.org/P59456 and previous config saved to /var/cache/conftool/dbconfig/20240404-105158-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-04T11:40:13Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1178 (T355609)', diff saved to https://phabricator.wikimedia.org/P59457 and previous config saved to /var/cache/conftool/dbconfig/20240404-114012-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-04T12:25:35Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1178 (T355609)', diff saved to https://phabricator.wikimedia.org/P59465 and previous config saved to /var/cache/conftool/dbconfig/20240404-122535-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-04T12:25:58Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Depooling db1192 (T355609)', diff saved to https://phabricator.wikimedia.org/P59466 and previous config saved to /var/cache/conftool/dbconfig/20240404-122557-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-04T13:15:05Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1192 (T355609)', diff saved to https://phabricator.wikimedia.org/P59472 and previous config saved to /var/cache/conftool/dbconfig/20240404-131504-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-04T14:00:27Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1192 (T355609)', diff saved to https://phabricator.wikimedia.org/P59481 and previous config saved to /var/cache/conftool/dbconfig/20240404-140027-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-04T14:00:50Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Depooling db1193 (T355609)', diff saved to https://phabricator.wikimedia.org/P59482 and previous config saved to /var/cache/conftool/dbconfig/20240404-140050-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-04T14:50:41Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1193 (T355609)', diff saved to https://phabricator.wikimedia.org/P59496 and previous config saved to /var/cache/conftool/dbconfig/20240404-145041-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-04T15:36:04Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1193 (T355609)', diff saved to https://phabricator.wikimedia.org/P59517 and previous config saved to /var/cache/conftool/dbconfig/20240404-153603-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-04T15:36:27Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Depooling db1203 (T355609)', diff saved to https://phabricator.wikimedia.org/P59518 and previous config saved to /var/cache/conftool/dbconfig/20240404-153626-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-04T16:28:01Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1203 (T355609)', diff saved to https://phabricator.wikimedia.org/P59533 and previous config saved to /var/cache/conftool/dbconfig/20240404-162801-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-04T17:13:28Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1203 (T355609)', diff saved to https://phabricator.wikimedia.org/P59543 and previous config saved to /var/cache/conftool/dbconfig/20240404-171324-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-04T17:13:52Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Depooling db1211 (T355609)', diff saved to https://phabricator.wikimedia.org/P59544 and previous config saved to /var/cache/conftool/dbconfig/20240404-171347-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-04T18:09:13Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1211 (T355609)', diff saved to https://phabricator.wikimedia.org/P59551 and previous config saved to /var/cache/conftool/dbconfig/20240404-180913-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-04T18:54:36Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1211 (T355609)', diff saved to https://phabricator.wikimedia.org/P59563 and previous config saved to /var/cache/conftool/dbconfig/20240404-185436-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-04T18:54:59Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Depooling db1214 (T355609)', diff saved to https://phabricator.wikimedia.org/P59564 and previous config saved to /var/cache/conftool/dbconfig/20240404-185458-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-04T19:47:40Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1214 (T355609)', diff saved to https://phabricator.wikimedia.org/P59570 and previous config saved to /var/cache/conftool/dbconfig/20240404-194739-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-04T20:33:03Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1214 (T355609)', diff saved to https://phabricator.wikimedia.org/P59578 and previous config saved to /var/cache/conftool/dbconfig/20240404-203302-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-04T21:12:49Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Depooling db1226 (T355609)', diff saved to https://phabricator.wikimedia.org/P59584 and previous config saved to /var/cache/conftool/dbconfig/20240404-211248-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-04T21:55:58Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1226 (T355609)', diff saved to https://phabricator.wikimedia.org/P59594 and previous config saved to /var/cache/conftool/dbconfig/20240404-215557-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-04T22:41:20Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1226 (T355609)', diff saved to https://phabricator.wikimedia.org/P59602 and previous config saved to /var/cache/conftool/dbconfig/20240404-224119-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-18T10:18:42Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Depooling db1183 (T355609)', diff saved to https://phabricator.wikimedia.org/P60899 and previous config saved to /var/cache/conftool/dbconfig/20240418-101841-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-18T10:26:10Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1183 (T355609)', diff saved to https://phabricator.wikimedia.org/P60901 and previous config saved to /var/cache/conftool/dbconfig/20240418-102609-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-04-18T11:11:33Z] <marostegui@cumin1002> dbctl commit (dc=all): 'Repooling after maintenance db1183 (T355609)', diff saved to https://phabricator.wikimedia.org/P60909 and previous config saved to /var/cache/conftool/dbconfig/20240418-111132-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2024-05-16T05:23:13Z] <marostegui> Deploy schema change dbmaint db1173 eqiad s6 T355609

Mentioned in SAL (#wikimedia-operations) [2024-05-30T05:17:43Z] <marostegui> Deploy schema changes on old s8 eqiad master (db1209) dbmaint T355609 T356166

Mentioned in SAL (#wikimedia-operations) [2024-06-04T07:10:47Z] <marostegui> dbmaint eqiad s1 deploy schema change on db1184 T355609

Marostegui updated the task description. (Show Details)

Done